Subject: Re: asprintf
From: Tadeusz Liszka <[email-masked]>
To: "Jerome G. Benoit" <[email-masked]>
Cc: Cygnus list <[email-masked]>
Date: Mon, 17 Jul 2000 12:48:00 -0500

I think you are going wrong way - if you try to build transportable code, you
should use only routines in common C libs, and asprintf is not, and certainly
_IO_vasprintf is not portable (if it starts with _ it is by definition system
dependent).

If you cant make sprintf to work (!?!) then your option is to write portable
sprintf yourself (or use the one hanging around - download eprintf, or mktclapp,
to get very good replacement for it written by Dr. Hipp)

http://www.hwaci.com/sw/mktclapp/

Jerome G. Benoit wrote:
> 
> Bonjour
> 
> I have some trouble with `sprintf' (not on Cygnus but elsewhere)
> and I want to write transportable codes:
> I guess that I can use `asprintf' instead (see GNU Lib C doc).
> I did not find `asprintf' in headers distributed with Cygnus
> but I found `int _IO_vasprintf ...' in `libioP.h'.
> 
> It is dangerous to use it ?
> 
> Thanks in advance,
> Jerome
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Tadeusz
:: The public opinion should be alarmed by its own nonexistence
:: (512)467-0618 ext. 526 ::       Stanislaw J. Lec, trans. TJL

--
Want to unsubscribe from this list?
Send a message to [email-masked]